execute if entity @a[tag=Ending1] as @e[type=item,nbt={Item:{id:"minecraft:popped_chorus_fruit"}}] run data merge entity @s {PickupDelay:0s,Age:-32768,PersistenceRequired:1}

execute if entity @a[tag=END] run scoreboard players add End Time 1
execute if score End Time matches 1 run setblock 15 7 -62 air
execute if score End Time matches 1 run summon minecraft:item 15 7 -62 {PickupDelay:9999s,Item:{id:"popped_chorus_fruit",Count:1,tag:{Enchantments:[{id:"sharpness",lvl:5}],display:{Name:"{\"text\":\"Emerald Medal\",\"color\":\"green\",\"italic\":\"false\",\"bold\":\"true\"}"}}}}
execute if score End Time matches 1 run gamerule doTileDrops false
execute if score End Time matches 1 run fill 14 10 -56 16 10 -54 air destroy
execute if score End Time matches 1 run gamerule doTileDrops true
execute if score End Time matches 1 run tag @a[tag=Dead] add Alive
execute if score End Time matches 1 run tag @a[tag=Dead] remove Dead
execute if score End Time matches 1 run particle minecraft:cloud 15 7 -62 0 0 0 0.1 100 force
execute if score End Time matches 20 run tellraw @a[tag=END] {"text":"This is the Emerald Medal..."}
execute if score End Time matches 100 run tellraw @a[tag=END] {"text":"It's the thing you came for..."}
execute if score End Time matches 180 run tellraw @a[tag=END] {"text":"But everyone said it: it can corrupt you..."}
execute if score End Time matches 260 run tellraw @a[tag=END] {"text":"You can take it, and the risk that comes with it..."}
execute if score End Time matches 340 run tellraw @a[tag=END] {"text":"Or, leave now, before its power grows too much..."}
execute if score End Time matches 420 run tellraw @a[tag=END] {"text":"...what do you do?"}
execute if score End Time matches 500 run scoreboard players enable @a EndTrigger
execute if score End Time matches 500 run tellraw @p[tag=END] ["",{"text":"[Take it]","color":"dark_green","clickEvent":{"action":"run_command","value":"/trigger EndTrigger set 1"}},{"text":" "},{"text":"[Leave it]","color":"dark_red","clickEvent":{"action":"run_command","value":"/trigger EndTrigger set 2"}}]

execute if entity @a[scores={EndTrigger=1}] run data merge entity @e[type=minecraft:item,limit=1,nbt={Item:{id:"minecraft:popped_chorus_fruit"}}] {PickupDelay:0s}
execute if entity @a[scores={EndTrigger=1}] run tellraw @a[tag=END] {"text":"You pick it up."}
execute if entity @a[scores={EndTrigger=1}] run effect give @a resistance 999999 100 true
execute as @a[scores={EndTrigger=1}] run scoreboard players set @s EndTrigger 0
tag @a[nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] add Ending1

execute if entity @a[scores={EndTrigger=2}] run tellraw @a[tag=END] {"text":"You leave it be."}
execute if entity @a[scores={EndTrigger=2}] run setblock 15 7 -32 minecraft:ladder[facing=north]
execute as @a[scores={EndTrigger=2}] run tag @s add Ending2
execute as @a[scores={EndTrigger=2}] run scoreboard players set @s EndTrigger 0

execute if entity @a[tag=Ending1] unless entity @a[tag=Ending1x] run scoreboard players add Ending1 Time 1
execute if score Ending1 Time matches 100 run tellraw @a[tag=Ending1] {"text":"With the Medal, you feel more powerful."}
execute if score Ending1 Time matches 100 run setblock 15 7 -32 minecraft:ladder[facing=north]
execute if score Ending1 Time matches 100..5899 run effect give @a[tag=Ending1] resistance 999999 10 true
execute if score Ending1 Time matches 200 run tellraw @a[tag=Ending1] {"text":"You feel like you can handle anything... too much, perhaps."}
execute if score Ending1 Time matches 300 run tellraw @a[tag=Ending1] {"text":"You should return this thing, and quickly."}
execute if score Ending1 Time matches 400 run tellraw @a[tag=Ending1] {"text":"The corrupting power is sensible..."}
execute if score Ending1 Time matches 1200 run tellraw @a[tag=Ending1] {"text":"The Medal grants you power... so much... power..."}
execute if score Ending1 Time matches 2000 run tellraw @a[tag=Ending1] {"text":"You can feel it in your head... your arms... and now, your legs too..."}
execute if score Ending1 Time matches 2000..5899 run effect give @a[tag=Ending1] speed 999999 0 true
execute if score Ending1 Time matches 3000 run tellraw @a[tag=Ending1] {"text":"It's draining... everything... you're in pain, but it doesn't move you..."}
execute if score Ending1 Time matches 3000..5899 run effect give @a[tag=Ending1] poison 999999 0 true
execute if score Ending1 Time matches 3800 run tellraw @a[tag=Ending1] {"text":"Your body, mind and soul start to tear apart... the power is too much for a human..."}
execute if score Ending1 Time matches 3800..5899 run effect give @a[tag=Ending1] blindness 999999 0 true
execute if score Ending1 Time matches 4600 run tellraw @a[tag=Ending1] {"text":"Hopes... dreams... they don't mean anything... it doesn't matter. Nothing does."}
execute if score Ending1 Time matches 5400 run tellraw @a[tag=Ending1] {"text":"You can feel your soul trying to save itself from the last darkness inside..."}
execute if score Ending1 Time matches 5800 run tellraw @a[tag=Ending1] {"text":"The Void... you cannot stop it..."}
execute if score Ending1 Time matches 5800..5899 run effect give @a[tag=Ending1] slowness 999999 100 true
execute if score Ending1 Time matches 5800..5899 run effect give @a[tag=Ending1] jump_boost 999999 200 true
execute if score Ending1 Time matches 5900 run tellraw @a[tag=Ending1] {"text":"nobody can.","color":"dark_gray","bold":"true"}
execute if score Ending1 Time matches 5920 run tag @e[type=armor_stand,name=Options] add EndingDark
execute if score Ending1 Time matches 5920 if block 34 3 58 minecraft:red_concrete_powder if entity @e[type=armor_stand,name=Options,tag=EndingGood,tag=EndingBad,tag=EndingLight,tag=EndingDark] run tellraw @a {"text":"God Mode unlocked!","color":"green","bold":"true"}
execute if score Ending1 Time matches 5920 if block 34 3 58 minecraft:red_concrete_powder if entity @e[type=armor_stand,name=Options,tag=EndingGood,tag=EndingBad,tag=EndingLight,tag=EndingDark] run data merge block 34 3 57 {Text3:"{\"text\":\"\"}",Text2:"{\"text\":\"\"}",Text1:"{\"text\":\"{God Mode}\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:lobby/optionmode3\"},\"bold\":true}"}
execute if score Ending1 Time matches 5920 if block 34 3 58 minecraft:red_concrete_powder if entity @e[type=armor_stand,name=Options,tag=EndingGood,tag=EndingBad,tag=EndingLight,tag=EndingDark] run setblock 34 3 58 yellow_concrete_powder
execute if score Ending1 Time matches 5920 run advancement grant @a[tag=Playing] only story:adv8
execute if score Ending1 Time matches 5920 run kill @a[tag=Alive]

tag @a[x=-5,y=133,z=-32,distance=..2,tag=Ending1] add Ending1x
effect give @a[tag=Ending1x] slowness 1 100 true
effect give @a[tag=Ending1x] jump_boost 1 200 true
execute if entity @a[tag=Ending1x] run scoreboard players add Ending1x Time 1
execute if score Ending1x Time matches 1 run scoreboard players set Ending1 Time 0
execute if score Ending1x Time matches 60 run tellraw @a[tag=Ending1x] {"text":"You have the Medal in your possession."}
execute if score Ending1x Time matches 140 run tellraw @a[tag=Ending1x] {"text":"You're at the surface, safe from the horrors from below."}
execute if score Ending1x Time matches 240 run tellraw @a[tag=Ending1x] {"text":"The Medal sees the daylight, and all darkness perishes."}
execute if score Ending1x Time matches 320 run tellraw @a[tag=Ending1x] {"text":"You have now one wish... and you're gonna use it, too."}
execute if score Ending1x Time matches 420 if entity @a[tag=ClassW,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] run tellraw @a[tag=Ending1x] ["",{"text":"[You] ","color":"gold"},{"text":"I wish the city was restored.","color":"red","bold":"true"}]
execute if score Ending1x Time matches 420 if entity @a[tag=ClassM,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] run tellraw @a[tag=Ending1x] ["",{"text":"[You] ","color":"gold"},{"text":"I wish that magic came back.","color":"blue","bold":"true"}]
execute if score Ending1x Time matches 420 if entity @a[tag=ClassT,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] run tellraw @a[tag=Ending1x] ["",{"text":"[You] ","color":"gold"},{"text":"I wish everyone forgot me.","color":"green","bold":"true"}]
execute if score Ending1x Time matches 420 if entity @a[tag=ClassJ,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] run tellraw @a[tag=Ending1x] ["",{"text":"[You] ","color":"gold"},{"text":"I wish I was powerful again...","color":"dark_purple","bold":"true"}]
execute if score Ending1x Time matches 420 if entity @a[tag=ClassE,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] run tellraw @a[tag=Ending1x] ["",{"text":"[You] ","color":"gold"},{"text":"I wish I had a purpose.","color":"light_purple","bold":"true"}]
execute if score Ending1x Time matches 500 run tellraw @a[tag=Ending1x] {"text":"Silence."}
execute if score Ending1x Time matches 580 run tellraw @a[tag=Ending1x] {"text":"Your wish has been granted.","color":"dark_green"}
execute if score Ending1x Time matches 640 run tellraw @a {"text":"Wish granted. Run succeeded.","italic":"true","color":"dark_green"}
execute if score Ending1x Time matches 640 run tellraw @a {"text":"The Void has been defeated.","bold":"true","color":"gray"}
execute if score Ending1x Time matches 640 run advancement grant @a[tag=ClassW,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] only classes:adv2
execute if score Ending1x Time matches 640 run advancement grant @a[tag=ClassM,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] only classes:adv5
execute if score Ending1x Time matches 640 run advancement grant @a[tag=ClassT,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] only classes:adv8
execute if score Ending1x Time matches 640 run advancement grant @a[tag=ClassE,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] only classes:adv11
execute if score Ending1x Time matches 640 run tellraw @a[tag=ClassJ,nbt={Inventory:[{id:"minecraft:popped_chorus_fruit"}]}] ["",{"text":"[Anuma] "},{"text":"That was... pretty cool. Thanks.","color":"aqua"}]
execute if score Ending1x Time matches 640 run advancement grant @a[tag=Playing] only story:adv5
execute if score Ending1x Time matches 640 run advancement grant @a[tag=Playing,tag=ClassW,tag=!AdvPlate] only classes:adv3
execute if score Ending1x Time matches 640 run advancement grant @a[tag=Playing,tag=ClassM,scores={AdvWand=0}] only classes:adv6
execute if score Ending1x Time matches 640 run advancement grant @a[tag=Playing,tag=ClassT,scores={AdvTreasure=0}] only classes:adv9
execute if score Ending1x Time matches 640 run advancement grant @a[tag=Playing,tag=ClassE,scores={AdvKill=0}] only classes:adv12
execute if score Ending1x Time matches 640 if block 35 3 58 minecraft:red_concrete_powder run tellraw @a {"text":"More NPC's unlocked!","color":"green","bold":"true"}
execute if score Ending1x Time matches 640 if block 35 3 58 minecraft:red_concrete_powder run tellraw @a {"text":"Extreme Mode unlocked!","color":"green","bold":"true"}
execute if score Ending1x Time matches 640 if block 35 3 58 minecraft:red_concrete_powder run data merge block 35 3 57 {Text3:"{\"text\":\"\"}",Text2:"{\"text\":\"\"}",Text1:"{\"text\":\"{Extreme Mode}\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:lobby/optionmode2\"},\"bold\":true}"}
execute if score Ending1x Time matches 640 if block 35 3 58 minecraft:red_concrete_powder run setblock 35 3 58 yellow_concrete_powder
execute if score Ending1x Time matches 640 run tag @e[type=armor_stand,name=Options] add EndingGood
execute if score Ending1x Time matches 640 run function system:endcomplete

execute if entity @a[tag=Ending2] run scoreboard players add Ending2 Time 1
execute if score Ending2 Time matches 100 run tellraw @a[tag=Ending2] {"text":"It's time to return to the surface."}
execute if score Ending2 Time matches 200 run tellraw @a[tag=Ending2] {"text":"You haven't failed: the medal was in your reach."}
execute if score Ending2 Time matches 300 run tellraw @a[tag=Ending2] {"text":"The journey back is going to be tough..."}
execute if score Ending2 Time matches 400 run tellraw @a[tag=Ending2] {"text":"Let's hope nothing happens."}

spawnpoint @a[scores={Death=1..},tag=Ending2] -9 133 -32
tp @a[scores={Death=1..},tag=Ending2] -9 133 -32
tag @a[scores={Death=1..},tag=Ending2] add Ending2y
scoreboard players set @a[scores={Death=1..},tag=Ending2] Death 0
execute if entity @a[tag=Ending2y] run scoreboard players add Ending2y Time 1
execute if score Ending2y Time matches 100 run tellraw @a[tag=Ending2y] {"text":"You died after all..."}
execute if score Ending2y Time matches 180 run tellraw @a[tag=Ending2y] {"text":"The risk wasn't worth it."}
execute if score Ending2y Time matches 260 run tellraw @a[tag=Ending2y] {"text":"The Medal still lays down there, forever..."}
execute if score Ending2y Time matches 360 run tellraw @a[tag=Ending2y] {"text":"But the Void couldn't deceive you."}
execute if score Ending2y Time matches 440 run tellraw @a[tag=Ending2y] {"text":"You may have lost..."}
execute if score Ending2y Time matches 520 run tellraw @a[tag=Ending2y] {"text":"...but so did the enemy."}
execute if score Ending2y Time matches 600 run tellraw @a {"text":"No dungeoneers detected. Run failed.","italic":"true","color":"dark_red"}
execute if score Ending2y Time matches 600 run tellraw @a {"text":"The Void lost, but so did you.","bold":"true","color":"gray"}
execute if score Ending2y Time matches 600 run tag @e[type=armor_stand,name=Options] add EndingBad
execute if score Ending2y Time matches 600 run advancement grant @a[tag=Playing] only story:adv6
execute if score Ending2y Time matches 600 run function system:endcomplete

tag @a[x=-5,y=133,z=-32,distance=..2,tag=Ending2] add Ending2x
effect give @a[tag=Ending2x] slowness 1 100 true
effect give @a[tag=Ending2x] jump_boost 1 200 true
execute if entity @a[tag=Ending2x] run scoreboard players add Ending2x Time 1
execute if score Ending2x Time matches 80 run tellraw @a[tag=Ending2x] {"text":"You see the light, softly burning in your eyes."}
execute if score Ending2x Time matches 180 run tellraw @a[tag=Ending2x] {"text":"You made it, all the way back."}
execute if score Ending2x Time matches 260 run tellraw @a[tag=Ending2x] {"text":"You think back of the Medal... should you have grabbed it?"}
execute if score Ending2x Time matches 360 run tellraw @a[tag=Ending2x] {"text":"This is probably for the best..."}
execute if score Ending2x Time matches 440 run tellraw @a[tag=Ending2x] {"text":"The world can go on without wishes."}
execute if score Ending2x Time matches 520 run tellraw @a[tag=Ending2x] {"text":"It was worth the risk."}
execute if score Ending2x Time matches 600 run tellraw @a {"text":"Medal not obtained. Run failed.","italic":"true","color":"dark_red"}
execute if score Ending2x Time matches 600 run tellraw @a {"text":"You won, but so did the Void.","bold":"true","color":"gray"}
execute if score Ending2x Time matches 600 run tag @e[type=armor_stand,name=Options] add EndingLight
execute if score Ending2x Time matches 600 run advancement grant @a[tag=Playing] only story:adv7
execute if score Ending2x Time matches 600 run function system:endcomplete